$title  Example 3: Graphs with Labels and Titles

set t /0*40/, j /a,b,c,d/;

*       Note: where we specify descriptive text for subset elements,
*       it is then displayed in place of the subset index on the 
*       graph -- i.e. 1990,2000 etc. are displayed, not 0,10,...

set decade(t) / 0 1990, 10 2000, 20 2010, 30 2020, 40 2030/;

parameter a(t,j)  Example 3: Labels and Titles; 
a("0",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

*       ---------------------------
*       Generic plotting commands:

$setglobal labels decade

*       ---------------------------
*       PLOT commands:

$setglobal gp_figure 2
$setglobal gp_opt1 "title('Graph of Random Time Series');"
$setglobal gp_opt2 "xlabel('Year -- time step annual');"
$setglobal gp_opt3 "ylabel('Value');"
$libinclude matplot A

$setglobal gp_xscale 0.6
$setglobal gp_opt4 "print -djpeg ex3.jpg"
$libinclude matplot A

