$title  Example 5: Unequally spaced data

set t /0*40/, j /a,b,c,d/; 
parameter a(t,j)  Example 5: Missing data represented by NA;
a("0",j) = 1;
loop(t,  a(t+1,j) = a(t,j) * (1 + 0.04 * uniform(0.2,1.8)); );

set decade(t) / 0 1990, 10 2000, 20 2010, 30 2020, 40 2030/;
parameter year(t); year(t) = 1989 + ord(t);

* Omit some data points randomly, indicating these as missing
* by assigning values equal to na:

a(t,j)$(uniform(0,1) le 0.25) = na;

$setglobal labels decade
$setglobal xvalue year

$setglobal gp_key 0
$setglobal gp_figure 1
$setglobal gp_opt1 "set(gp.plot,'Marker','x');"
$setglobal gp_opt2 "xlabel('Year -- time step annual');"
$setglobal gp_opt3 "ylabel('Value');"
$libinclude matplot A

$setglobal gp_xscale 0.9
$setglobal gp_yscale 0.7
$setglobal gp_opt4 "print -djpeg ex5.jpg"
$libinclude matplot A

