$title  Example 6: Dealing with Zero Rows and Zero Columns

set     i       evaluation points       /1990*2000/
        j       various time seris      /a, b, c, d/;

$setglobal labels i

table  time_path(i,j)  Time series with holes

        a       b       c       d
1990    0       2       0       0
1991    1       2       1       0
1992    2       3       4       0
1993    3       4       0       0
1994    4       0       2       0
1995    0       0       0       0
1996    1       2       3       0
1997    2       3       4       0
1998    3       4       5       0
1999    4       5       6       0
2000    5       1       7       0;

*       Note that time series d is all zeros, and 
*       all of the time series equals zero in 1995.

*       Problem:        Get matplot.gms to pass zero files
*                       through to the plotting package.


$setglobal gp_key 2
$setglobal gp_xscale 0.9
$setglobal gp_yscale 0.6

$setglobal gp_opt1 "title('Problem: 1995 and series D are both zero.');"
$libinclude matplot time_path

$setglobal batch yes
$setglobal gp_opt2 "print -djpeg ex6a.jpg"
$libinclude matplot time_path
$setglobal gp_opt2
$setglobal batch no

*       Define an explicit domain and series:

$setglobal domain i
$setglobal series j

$setglobal gp_opt1 "title('One solution: define domain and series');"
$libinclude matplot time_path

$setglobal batch yes
$setglobal gp_opt2 "print -djpeg ex6b.jpg"
$libinclude matplot time_path
$setglobal gp_opt2
$setglobal batch no

*       Drop the domain and series definition:

$setglobal domain
$setglobal series 

*       Method 2: replace zero by eps

time_path(i,j)$(not time_path(i,j)) = eps;

$setglobal gp_opt1 "title('Another solution: replace zero by eps.');"
$libinclude matplot time_path

$setglobal batch yes
$setglobal gp_opt2 "print -djpeg ex6c.jpg"
$libinclude matplot time_path
$setglobal gp_opt2
$setglobal batch no
