$title Example 8: Plotting Two-Dimensional Series 

set     i       Commodities     /i1*i3/,
        r       Regions         /r1*r3/,
        t       Time periods    /2000*2100/
        s(i,r)  Plot series;

s(i,r) = yes;

parameter       prices(t,i,r)   Commodity prices;


prices(t,i,r) = 1;
loop(t,  prices(t+1,i,r) = prices(t,i,r) * (1 + 0.04 * uniform(0.2,1.8)); );

$setglobal domain t

$setglobal gp_key 2
$setglobal series s
* before matplot option: give 9 different colors to lines
$setglobal gp_opt0 "set(0,'DefaultAxesColorOrder',rand(9,3));"
* remove border around legend box
$setglobal gp_opt1 "h = findobj('type', 'axes'); set(h(1), 'visible', 'off');"
$libinclude matplot prices 

$setglobal gp_xscale 0.9
$setglobal gp_yscale 0.8
* before matplot option: cycle through line styles
$setglobal gp_opt0 "set(0,'DefaultAxesColorOrder',[0 0 0]); set(0,'DefaultAxesLineStyleOrder','-|:|-.|--|x|o|+|d|v')"
$setglobal gp_opt2 "print -djpeg ex8.jpg"
$libinclude matplot prices 


